## r-cran-cairo 1.5

=== DESCRIPTION ===
Package: Cairo
Version: 1.5-12.2
Title: R Graphics Device using Cairo Graphics Library for Creating
        High-Quality Bitmap (PNG, JPEG, TIFF), Vector (PDF, SVG,
        PostScript) and Display (X11 and Win32) Output
Author: Simon Urbanek <Simon.Urbanek@r-project.org>, Jeffrey Horner <jeff.horner@vanderbilt.edu>
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.4.0)
Imports: grDevices, graphics
Suggests: png
Enhances: FastRWeb
Description: R graphics device using cairographics library that can be used to create high-quality vector (PDF, PostScript and SVG) and bitmap output (PNG,JPEG,TIFF), and high-quality rendering in displays (X11 and Win32). Since it uses the same back-end for all output, copying across formats is WYSIWYG. Files are created without the dependence on X11 or other external programs. This device supports alpha channel (semi-transparent drawing) and resulting images can contain transparent and semi-transparent regions. It is ideal for use in server environments (file output) and as a replacement for other devices that don't have Cairo's capabilities such as alpha support or anti-aliasing. Backends are modular such that any subset of backends is supported.
License: GPL-2
SystemRequirements: cairo (>= 1.2 http://www.cairographics.org/)
URL: http://www.rforge.net/Cairo/
NeedsCompilation: yes
Packaged: 2020-07-02 06:40:14 UTC; ripley
Repository: CRAN
Date/Publication: 2020-07-07 06:11:04 UTC

## r-cran-cairo 1.5-9

=== debian/changelog ===
r-cran-cairo (1.5-9-2) unstable; urgency=medium

  * add missing copyright
  * Moved packaging from SVN to Git
  * Convert from cdbs to dh-r
  * Standards-Version: 4.1.1
  * debhelper 10
  * Canonical homepage for CRAN packages
  * Testsuite: autopkgtest-pkg-r
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 09:37:07 +0200

r-cran-cairo (1.5-9-1) unstable; urgency=medium

  * Initial upload (Closes: #835087)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2016 12:29:08 +0200

=== debian/control ===
Source: r-cran-cairo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Testsuite: autopkgtest-pkg-r
Build-Depends: debhelper (>= 10),
               dh-r,
               libcairo2-dev,
               libxt-dev,
               r-base-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-cairo.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-cairo.git
Homepage: https://cran.r-project.org/package=Cairo

Package: r-cran-cairo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R graphics device using cairo graphics library
 GNUR R graphics device using cairo graphics library for creating high-
 quality bitmap (PNG, JPEG, TIFF), vector (PDF, SVG, PostScript) and
 display (X11 and Win32) output
 .
 Cairo graphics device that can be use to create high-quality vector
 (PDF, PostScript and SVG) and bitmap output (PNG,JPEG,TIFF), and high-
 quality rendering in displays (X11 and Win32). Since it uses the same
 back-end for all output, copying across formats is WYSIWYG. Files are
 created without the dependence on X11 or other external programs. This
 device supports alpha channel (semi-transparent drawing) and resulting
 images can contain transparent and semi-transparent regions. It is ideal
 for use in server environments (file output) and as a replacement for
 other devices that don't have Cairo's capabilities such as alpha support
 or anti-aliasing. Backends are modular such that any subset of backends
 is supported.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

## r-cran-cairo 1.5-10

=== debian/changelog ===
r-cran-cairo (1.5-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 12:40:14 +0200

r-cran-cairo (1.5-9-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 16:43:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: r-cran-cairo
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Testsuite: autopkgtest-pkg-r
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                dh-r,
+               r-base-dev,
                libcairo2-dev,
-               libxt-dev,
-               r-base-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-cairo.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-cairo.git
+               libxt-dev
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cairo
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cairo.git
 Homepage: https://cran.r-project.org/package=Cairo
 
 Package: r-cran-cairo
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R graphics device using cairo graphics library

## r-cran-cairo 1.5-12.2

=== debian/changelog ===
r-cran-cairo (1.5-12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jul 2020 09:57:41 +0200

r-cran-cairo (1.5-12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Apr 2020 17:47:06 +0200

r-cran-cairo (1.5-11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 10:59:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libcairo2-dev,
                libxt-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cairo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cairo.git
 Homepage: https://cran.r-project.org/package=Cairo
+Rules-Requires-Root: no
 
 Package: r-cran-cairo
 Architecture: any

## r-cran-cairo 1.5-14

=== debian/changelog ===
r-cran-cairo (1.5-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 10:24:01 +0000

r-cran-cairo (1.5-12.2-2) unstable; urgency=medium

  * Team upload.
    + Rebuild against R version 4.1.1-2 (Closes: #996431)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Add patch ac-path-pkgconfig.patch: Use cross-build compatible macro for
    finding pkg-config.

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 07:16:35 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                libcairo2-dev,
                libxt-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cairo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cairo.git
 Homepage: https://cran.r-project.org/package=Cairo

## r-cran-cairo 1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: Cairo
-Version: 1.5-12.2
+Version: 1.6-2
 Title: R Graphics Device using Cairo Graphics Library for Creating
         High-Quality Bitmap (PNG, JPEG, TIFF), Vector (PDF, SVG,
         PostScript) and Display (X11 and Win32) Output
@@ -10,10 +10,10 @@
 Suggests: png
 Enhances: FastRWeb
 Description: R graphics device using cairographics library that can be used to create high-quality vector (PDF, PostScript and SVG) and bitmap output (PNG,JPEG,TIFF), and high-quality rendering in displays (X11 and Win32). Since it uses the same back-end for all output, copying across formats is WYSIWYG. Files are created without the dependence on X11 or other external programs. This device supports alpha channel (semi-transparent drawing) and resulting images can contain transparent and semi-transparent regions. It is ideal for use in server environments (file output) and as a replacement for other devices that don't have Cairo's capabilities such as alpha support or anti-aliasing. Backends are modular such that any subset of backends is supported.
-License: GPL-2
+License: GPL-2 | GPL-3
 SystemRequirements: cairo (>= 1.2 http://www.cairographics.org/)
 URL: http://www.rforge.net/Cairo/
 NeedsCompilation: yes
-Packaged: 2020-07-02 06:40:14 UTC; ripley
+Packaged: 2023-11-27 20:50:44 UTC; rforge
 Repository: CRAN
-Date/Publication: 2020-07-07 06:11:04 UTC
+Date/Publication: 2023-11-28 08:44:24 UTC

## r-cran-cairo 1.6-0

=== debian/changelog ===
r-cran-cairo (1.6-0-4) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 09:18:25 +0200

r-cran-cairo (1.6-0-2) unstable; urgency=medium

  * Disable reprotest
  * Rebuild against r-base 4.3.1 to deal with graphics API change
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 15:29:21 +0200

r-cran-cairo (1.6-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jul 2022 14:15:39 +0200

r-cran-cairo (1.5-15-3) unstable; urgency=medium

  * Team upload.
  * Re-build with R 4.2.0-1

 -- Nilesh Patra <nilesh@debian.org>  Sat, 30 Apr 2022 23:12:54 +0530

r-cran-cairo (1.5-15-2) unstable; urgency=medium

  * Team upload.
    + Rebuild with new r-base

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 03:26:21 +0530

r-cran-cairo (1.5-15-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.5-15

 -- Nilesh Patra <nilesh@debian.org>  Sun, 20 Mar 2022 02:17:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-cairo
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cairo
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cairo.git
+Homepage: https://cran.r-project.org/package=Cairo
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libcairo2-dev,
                libxt-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cairo
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cairo.git
-Homepage: https://cran.r-project.org/package=Cairo
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cairo
 Architecture: any

## r-cran-cairo 1.6-1

=== debian/changelog ===
r-cran-cairo (1.6-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 11:35:48 +0200

## r-cran-cairo 1.6-2

=== debian/changelog ===
r-cran-cairo (1.6-2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 11:49:15 +0100

r-cran-cairo (1.6-1-2) unstable; urgency=medium

  * Fix clean
    Closes: #1045256

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 10:01:07 +0200

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Cairo_([\d.-]*)\.tar.gz

## r-cran-cairo 1.7-0

=== debian/changelog ===
r-cran-cairo (1.7-0-1) unstable; urgency=medium

  * Team upload.
  * Unfuzz debian/patches/ac-path-pkgconfig.patch
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 16:30:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: r-cran-cairo
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cairo
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cairo.git
-Homepage: https://cran.r-project.org/package=Cairo
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libcairo2-dev,
-               libxt-dev
-Testsuite: autopkgtest-pkg-r
+               libxt-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cairo
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cairo.git
+Homepage: https://cran.r-project.org/package=Cairo
+Rules-Requires-Root: no
 
 Package: r-cran-cairo
 Architecture: any
